Subject: bug#48111: closed (Re: bug#48111: tilde in Go package names (eg. sourcehut hosted packages))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Jul 2021 07:58:02 +0000

Your bug report

#48111: tilde in Go package names (eg. sourcehut hosted packages)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48111: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48111
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48111: tilde in Go package names (eg. sourcehut hosted packages)
From: Leo Prikler <[email-masked]>
To: Sarah Morgensen <[email-masked]>
Cc: [email-masked], raingloom <[email-masked]>
Date: Mon, 05 Jul 2021 09:57:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Am Sonntag, den 04.07.2021, 15:51 -0700 schrieb Sarah Morgensen:
> It might be slightly uglier, but I think it's better to keep a
> consistent policy of "replace any invalid characters with a hyphen",
> as it is less likely to generate collisions and it provides a hint to
> the reader that there *is* a character there.
Fair enough, that's a reasonable take.

> I have attached a patch to do so below, verified that a recursive
> import of the package mentioned above builds without modification
> (well, I had to update a dependency...) and verified that there are
> not currently any go packages using a tilde in their name with:
> 
> $ egrep -r '"go-[^"]*~[^"]*"' gnu/packages
I couldn't verify this as the importer delivered 410s, but the patch
LGTM, so I pushed it.

Thanks,
Leo

Subject: tilde in Go package names (eg. sourcehut hosted packages)
From: raingloom <[email-masked]>
To: Guix Bugs <[email-masked]>
Date: Thu, 29 Apr 2021 19:54:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Trying to import kineto and getting this error when building it:

guix build: error: invalid character `~' in name
`go-git-sr-ht-~sircmpwn-kineto-0.0.0-20210225135222-edd4fe31f16f-checkout.drv'

I know the names are significant in go-build-system so I'm not sure how
to work around the issue without breaking anything.